imap_last_error
imap_listmailbox
IMAP Functions
PHP Manual

# imap_list

Read the list of mailboxes

### Description

array imap_list ( resource `$imap_stream` , string `$ref` , string `$pattern` )

Read the list of mailboxes.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open.

`ref`

  `ref` should normally be just the server specification as described in imap_open.

`pattern`

  Specifies where in the mailbox hierarchy to start searching.

  There are two special characters you can pass as part of the `pattern`: '*' and '%'. '*' means to return all mailboxes. If you pass `pattern` as '*', you will get a list of the entire mailbox hierarchy. '%' means to return the current level only. '%' as the `pattern` parameter will return only the top level mailboxes; '~/mail/%' on UW_IMAPD will return every mailbox in the ~/mail directory, but none in subfolders of that directory.

### Return Values

Returns an array containing the names of the mailboxes.

### Examples

Example #1 imap_list example

`<?php
$mbox = imap_open("{imap.example.org}", "username", "password", OP_HALFOPEN)
or die("can't connect: " . imap_last_error());
$list = imap_list($mbox, "{imap.example.org}", "*");
if (is_array($list)) {
foreach ($list as $val) {
echo imap_utf7_decode($val) . "\n";
}
} else {
echo "imap_list failed: " . imap_last_error() . "\n";
}
imap_close($mbox);
?>`

### See Also

- imap_getmailboxes
- imap_lsub